package com.pj.tb_agreement;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_agreement -- 协议表
 * @author loovi
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbAgreementService extends ServiceImpl<TbAgreementMapper, TbAgreement> implements IService<TbAgreement>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbAgreementMapper tbAgreementMapper;

	/** 增 */
	void add(TbAgreement t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbAgreement t){
		updateById(t);

	}

	/** 查 */
	TbAgreement getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbAgreement> getList(SoMap so) { 
		return tbAgreementMapper.getList(so);	
	}
	

}
